declare type ModelType = 'product' | 'Variation' | 'VariationOption' | 'cart' | 'cart_item' | 'store';
declare type Metadata = {
    [key: string]: any;
};
interface ResourceType {
    readonly type: ModelType;
}
interface ResourceId extends ResourceType {
    readonly id: string;
}
interface Resource extends ResourceId {
    metadata?: Metadata;
}
interface ResourceCreate {
    metadata?: Metadata;
}
interface ResourceUpdate {
    readonly id: string;
    metadata?: Metadata;
}
declare const isResourceId: (resource: any) => resource is ResourceId;
declare const isResourceType: (resource: any) => resource is ResourceType;
export type { ModelType, ResourceType, ResourceId, Resource, ResourceCreate, ResourceUpdate };
export { isResourceType, isResourceId };
